/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - prosoftokt17g1
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftokt17g1` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `prosoftokt17g1`;

/*Table structure for table `emisija` */

DROP TABLE IF EXISTS `emisija`;

CREATE TABLE `emisija` (
  `EmisijaID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  `Opis` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`EmisijaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `emisija` */

insert  into `emisija`(`EmisijaID`,`Naziv`,`Opis`) values (1,'Jutarnji program','Dobro jutro'),(2,'Sportski pregled','Sportska emisija'),(3,'Liga sampiona','Prenos utakmica, studio, pregled kola'),(4,'EP kosarka','Prenos utakmica, studio, pregled kola');

/*Table structure for table `rasporedsnimanja` */

DROP TABLE IF EXISTS `rasporedsnimanja`;

CREATE TABLE `rasporedsnimanja` (
  `RasporedID` int(11) NOT NULL,
  `DatumVremeOd` datetime DEFAULT NULL,
  `DatumVremeDo` datetime DEFAULT NULL,
  `Napomena` varchar(255) DEFAULT NULL,
  `VoditeljID` int(11) DEFAULT NULL,
  `EmisijaID` int(11) DEFAULT NULL,
  `RediteljID` int(11) DEFAULT NULL,
  PRIMARY KEY (`RasporedID`),
  KEY `VoditeljID` (`VoditeljID`),
  KEY `EmisijaID` (`EmisijaID`),
  KEY `RediteljID` (`RediteljID`),
  CONSTRAINT `rasporedsnimanja_ibfk_1` FOREIGN KEY (`VoditeljID`) REFERENCES `voditelj` (`VoditeljID`),
  CONSTRAINT `rasporedsnimanja_ibfk_2` FOREIGN KEY (`EmisijaID`) REFERENCES `emisija` (`EmisijaID`),
  CONSTRAINT `rasporedsnimanja_ibfk_3` FOREIGN KEY (`RediteljID`) REFERENCES `reditelj` (`RediteljID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `rasporedsnimanja` */

insert  into `rasporedsnimanja`(`RasporedID`,`DatumVremeOd`,`DatumVremeDo`,`Napomena`,`VoditeljID`,`EmisijaID`,`RediteljID`) values (1,'2017-09-17 11:00:00','2017-09-17 13:00:00','n/a',1,1,1),(2,'2017-09-18 14:00:00','2017-09-18 15:00:00','Podsetiti gosta',2,2,1),(3,'2017-09-18 07:00:00','2017-09-18 10:00:00','Uzivo',3,1,2),(4,'2017-09-19 07:00:00','2017-09-19 10:00:00','Uzivo',4,3,1),(5,'2017-09-19 11:00:00','2017-09-19 13:00:00','n/a',2,4,2),(6,'2017-09-20 11:00:00','2017-09-20 13:00:00','n/a',1,2,2);

/*Table structure for table `reditelj` */

DROP TABLE IF EXISTS `reditelj`;

CREATE TABLE `reditelj` (
  `RediteljID` int(11) NOT NULL,
  `Ime` varchar(255) DEFAULT NULL,
  `Prezime` varchar(255) DEFAULT NULL,
  `Specijalnost` varchar(255) DEFAULT NULL,
  `KorisnickoIme` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`RediteljID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reditelj` */

insert  into `reditelj`(`RediteljID`,`Ime`,`Prezime`,`Specijalnost`,`KorisnickoIme`) values (1,'Petar','Petrovic','Sportski prenos','pp'),(2,'Mirjana','Mitrovic','Emisije uzivo','mm');

/*Table structure for table `voditelj` */

DROP TABLE IF EXISTS `voditelj`;

CREATE TABLE `voditelj` (
  `VoditeljID` int(11) NOT NULL,
  `Ime` varchar(255) DEFAULT NULL,
  `Prezime` varchar(255) DEFAULT NULL,
  `StrucnaSprema` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`VoditeljID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `voditelj` */

insert  into `voditelj`(`VoditeljID`,`Ime`,`Prezime`,`StrucnaSprema`) values (1,'Ivan','Ivic','FPN'),(2,'Marko','Mitic','DIF'),(3,'Dragana','Dimitrijevic','DIF'),(4,'Milica','Mikic','FPN');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
